com.genesyslab.wfm8.API.service.forecast800

## Interface EFrcDataTypes

-     public interface EFrcDataTypes

  Specifies data types returned by WFM Server Forecast service.
  Aggregated values for some variables below are calculated using either a weighted average or a simple average or a sum (total).
  A SIMPLE AVERAGE is calculated in this general way: total data / number of steps
  A WEIGHTED AVERAGE is calculated in this general way: (step data * step weight) / total weight
  Note on weighting:
  - When no weighting data (e.g. handled calls for weighted AHT value) are present in the database, the total value is a simple average.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FRC_CALCULATE_ABANDONED_IV_PCT` Weighted average of (Achieved) Calculated Abandoned Interaction Volume % (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_CALCULATE_ASA` Weighted average of (Achieved) Calculated Average Speed of Answer (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_CALCULATE_BUDGET` Total of Budget for Calculated staffing
    `static int` | `FRC_CALCULATE_FTE` Total of Calculated Staffing in Full-time Equivalent
    `static int` | `FRC_CALCULATE_HIRING_PLAN` Total of Calculated Hiring Plan
    `static int` | `FRC_CALCULATE_MAN_HOURS` Total of Calculated Man Hours
    `static int` | `FRC_CALCULATE_MAX_OCCUPANCY_PCT` Weighted average of (Achieved) Calculated Maximum Occupancy % (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_CALCULATE_SERVICE_PCT` Weighted average of (Achieved) Calculated Service Level % (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_CALCULATED_STAFFING_MSE` Calculated Staffing Multi-Skill Equivalent
    `static int` | `FRC_CALCULATED_STAFFING_MSE_FTE` Calculated Staffing Multi-Skill Equivalent in FTE
    `static int` | `FRC_DATA_AHT` Forecasted Average Handle Time (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_DATA_CS` Calculated Staffing
    `static int` | `FRC_DATA_IV` Total of Forecasted Interaction Volume
    `static int` | `FRC_DATA_OVERHEAD_NON_WORK` Non-working Overhead % parameter (used during Forecast build)
    `static int` | `FRC_DATA_OVERHEAD_WORK` Working Overhead % parameter (used during Forecast build)
    `static int` | `FRC_DATA_OVERTIME_REQUIREMENT` Overtime requirement
    `static int` | `FRC_DATA_OVERTIME_REQUIREMENT_FTE` Overtime requirement in Full-time Equivalent
    `static int` | `FRC_DATA_RS` Required Staffing
    `static int` | `FRC_DATA_SHRINKAGE_PCT` Shrinkage percentage
    `static int` | `FRC_DATA_SIMPLE_AHT` Average Handle Time (simple average)
    `static int` | `FRC_HISTORICAL_AHT` Historical (Actual data collected by WFM DataAggregator) Average Handle Time (weighted on Historical/Actual Interaction Volume)
    `static int` | `FRC_HISTORICAL_IV` Historical (Actual data collected by WFM DataAggregator) Interaction Volume
    `static int` | `FRC_HISTORICAL_SIMPLE_AHT` Historical (Actual data collected by WFM DataAggregator) Average Handle Time (simple average)
    `static int` | `FRC_OBJECTIVE_ABANDONED_IV_PCT` Abandoned Interactions Percentage objective
    `static int` | `FRC_OBJECTIVE_ASA` Average Speed of Answer objective
    `static int` | `FRC_OBJECTIVE_MAX_OCCUPANCY_PCT` Maximum Occupancy objective
    `static int` | `FRC_OBJECTIVE_SERVICE_PCT` Service Level Percentage objective
    `static int` | `FRC_REQUIRE_ABANDONED_IV_PCT` Weighted average of (Achieved) Required Abandoned Interaction Volume % (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_REQUIRE_ASA` Weighted average of (Achieved) Required Average Speed of Answer (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_REQUIRE_BUDGET` Total of Budget for Required staffing
    `static int` | `FRC_REQUIRE_FTE` Total of Required Staffing in Full-time Equivalent
    `static int` | `FRC_REQUIRE_HIRING_PLAN` Total of Required Hiring Plan
    `static int` | `FRC_REQUIRE_MAN_HOURS` Total of Required Man Hours
    `static int` | `FRC_REQUIRE_MAX_OCCUPANCY_PCT` Weighted average of (Achieved) Required Maximum Occupancy % (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_REQUIRE_SERVICE_PCT` Weighted average of Required Service Level % (weighted on Forecasted Interaction Volume)
    `static int` | `FRC_REQUIRED_STAFFING_MSE` Required Staffing Multi-Skill Equivalent
    `static int` | `FRC_REQUIRED_STAFFING_MSE_FTE` Required Staffing Multi-Skill Equivalent in FTE
    `static int` | `FRC_TOTAL_NON_WORKING_SHRINKAGE` Total non-working Shrinkage percentage
    `static int` | `FRC_TOTAL_SHRINKAGE` Total Shrinkage percentage
    `static int` | `FRC_TOTAL_WORKING_SHRINKAGE` Total working Shrinkage percentage

- - ### Field Detail

    - #### FRC_DATA_IV

          static final int FRC_DATA_IV

      Total of Forecasted Interaction Volume
      See Also:
        Constant Field Values

    - #### FRC_DATA_AHT

          static final int FRC_DATA_AHT

      Forecasted Average Handle Time (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_DATA_CS

          static final int FRC_DATA_CS

      Calculated Staffing
      See Also:
        Constant Field Values

    - #### FRC_DATA_RS

          static final int FRC_DATA_RS

      Required Staffing
      See Also:
        Constant Field Values

    - #### FRC_DATA_SIMPLE_AHT

          static final int FRC_DATA_SIMPLE_AHT

      Average Handle Time (simple average)
      See Also:
        Constant Field Values

    - #### FRC_HISTORICAL_IV

          static final int FRC_HISTORICAL_IV

      Historical (Actual data collected by WFM DataAggregator) Interaction Volume
      See Also:
        Constant Field Values

    - #### FRC_HISTORICAL_AHT

          static final int FRC_HISTORICAL_AHT

      Historical (Actual data collected by WFM DataAggregator) Average Handle Time (weighted on Historical/Actual Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_HISTORICAL_SIMPLE_AHT

          static final int FRC_HISTORICAL_SIMPLE_AHT

      Historical (Actual data collected by WFM DataAggregator) Average Handle Time (simple average)
      See Also:
        Constant Field Values

    - #### FRC_DATA_OVERHEAD_WORK

          static final int FRC_DATA_OVERHEAD_WORK

      Working Overhead % parameter (used during Forecast build)
      See Also:
        Constant Field Values

    - #### FRC_DATA_OVERHEAD_NON_WORK

          static final int FRC_DATA_OVERHEAD_NON_WORK

      Non-working Overhead % parameter (used during Forecast build)
      See Also:
        Constant Field Values

    - #### FRC_CALCULATE_FTE

          static final int FRC_CALCULATE_FTE

      Total of Calculated Staffing in Full-time Equivalent
      See Also:
        Constant Field Values

    - #### FRC_CALCULATE_HIRING_PLAN

          static final int FRC_CALCULATE_HIRING_PLAN

      Total of Calculated Hiring Plan
      See Also:
        Constant Field Values

    - #### FRC_CALCULATE_BUDGET

          static final int FRC_CALCULATE_BUDGET

      Total of Budget for Calculated staffing
      See Also:
        Constant Field Values

    - #### FRC_CALCULATE_MAN_HOURS

          static final int FRC_CALCULATE_MAN_HOURS

      Total of Calculated Man Hours
      See Also:
        Constant Field Values

    - #### FRC_REQUIRE_FTE

          static final int FRC_REQUIRE_FTE

      Total of Required Staffing in Full-time Equivalent
      See Also:
        Constant Field Values

    - #### FRC_REQUIRE_HIRING_PLAN

          static final int FRC_REQUIRE_HIRING_PLAN

      Total of Required Hiring Plan
      See Also:
        Constant Field Values

    - #### FRC_REQUIRE_BUDGET

          static final int FRC_REQUIRE_BUDGET

      Total of Budget for Required staffing
      See Also:
        Constant Field Values

    - #### FRC_REQUIRE_MAN_HOURS

          static final int FRC_REQUIRE_MAN_HOURS

      Total of Required Man Hours
      See Also:
        Constant Field Values

    - #### FRC_CALCULATE_SERVICE_PCT

          static final int FRC_CALCULATE_SERVICE_PCT

      Weighted average of (Achieved) Calculated Service Level % (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_CALCULATE_ABANDONED_IV_PCT

          static final int FRC_CALCULATE_ABANDONED_IV_PCT

      Weighted average of (Achieved) Calculated Abandoned Interaction Volume % (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_CALCULATE_ASA

          static final int FRC_CALCULATE_ASA

      Weighted average of (Achieved) Calculated Average Speed of Answer (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_CALCULATE_MAX_OCCUPANCY_PCT

          static final int FRC_CALCULATE_MAX_OCCUPANCY_PCT

      Weighted average of (Achieved) Calculated Maximum Occupancy % (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_REQUIRE_SERVICE_PCT

          static final int FRC_REQUIRE_SERVICE_PCT

      Weighted average of Required Service Level % (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_REQUIRE_ABANDONED_IV_PCT

          static final int FRC_REQUIRE_ABANDONED_IV_PCT

      Weighted average of (Achieved) Required Abandoned Interaction Volume % (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_REQUIRE_ASA

          static final int FRC_REQUIRE_ASA

      Weighted average of (Achieved) Required Average Speed of Answer (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_REQUIRE_MAX_OCCUPANCY_PCT

          static final int FRC_REQUIRE_MAX_OCCUPANCY_PCT

      Weighted average of (Achieved) Required Maximum Occupancy % (weighted on Forecasted Interaction Volume)
      See Also:
        Constant Field Values

    - #### FRC_OBJECTIVE_SERVICE_PCT

          static final int FRC_OBJECTIVE_SERVICE_PCT

      Service Level Percentage objective
      See Also:
        Constant Field Values

    - #### FRC_OBJECTIVE_ABANDONED_IV_PCT

          static final int FRC_OBJECTIVE_ABANDONED_IV_PCT

      Abandoned Interactions Percentage objective
      See Also:
        Constant Field Values

    - #### FRC_OBJECTIVE_ASA

          static final int FRC_OBJECTIVE_ASA

      Average Speed of Answer objective
      See Also:
        Constant Field Values

    - #### FRC_OBJECTIVE_MAX_OCCUPANCY_PCT

          static final int FRC_OBJECTIVE_MAX_OCCUPANCY_PCT

      Maximum Occupancy objective
      See Also:
        Constant Field Values

    - #### FRC_CALCULATED_STAFFING_MSE

          static final int FRC_CALCULATED_STAFFING_MSE

      Calculated Staffing Multi-Skill Equivalent
      See Also:
        Constant Field Values

    - #### FRC_REQUIRED_STAFFING_MSE

          static final int FRC_REQUIRED_STAFFING_MSE

      Required Staffing Multi-Skill Equivalent
      See Also:
        Constant Field Values

    - #### FRC_CALCULATED_STAFFING_MSE_FTE

          static final int FRC_CALCULATED_STAFFING_MSE_FTE

      Calculated Staffing Multi-Skill Equivalent in FTE
      See Also:
        Constant Field Values

    - #### FRC_REQUIRED_STAFFING_MSE_FTE

          static final int FRC_REQUIRED_STAFFING_MSE_FTE

      Required Staffing Multi-Skill Equivalent in FTE
      See Also:
        Constant Field Values

    - #### FRC_DATA_SHRINKAGE_PCT

          static final int FRC_DATA_SHRINKAGE_PCT

      Shrinkage percentage
      See Also:
        Constant Field Values

    - #### FRC_TOTAL_WORKING_SHRINKAGE

          static final int FRC_TOTAL_WORKING_SHRINKAGE

      Total working Shrinkage percentage
      See Also:
        Constant Field Values

    - #### FRC_TOTAL_NON_WORKING_SHRINKAGE

          static final int FRC_TOTAL_NON_WORKING_SHRINKAGE

      Total non-working Shrinkage percentage
      See Also:
        Constant Field Values

    - #### FRC_TOTAL_SHRINKAGE

          static final int FRC_TOTAL_SHRINKAGE

      Total Shrinkage percentage
      See Also:
        Constant Field Values

    - #### FRC_DATA_OVERTIME_REQUIREMENT

          static final int FRC_DATA_OVERTIME_REQUIREMENT

      Overtime requirement
      See Also:
        Constant Field Values

    - #### FRC_DATA_OVERTIME_REQUIREMENT_FTE

          static final int FRC_DATA_OVERTIME_REQUIREMENT_FTE

      Overtime requirement in Full-time Equivalent
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.